net.corda.client.model

## Class TrackedDelegate.ObservableDelegate<M,T>

- TrackedDelegate
- - net.corda.client.model.TrackedDelegate.ObservableDelegate<M,T>

- Enclosing class:
    TrackedDelegate<M>

      public static class TrackedDelegate.ObservableDelegate<M,T>
      extends TrackedDelegate

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.client.model.TrackedDelegate

      `TrackedDelegate.EventSinkDelegate<M,T>, TrackedDelegate.EventStreamDelegate<M,T>, TrackedDelegate.ObjectPropertyDelegate<M,T>, TrackedDelegate.ObservableDelegate<M,T>, TrackedDelegate.ObservableListDelegate<M,T>, TrackedDelegate.ObservableListReadOnlyDelegate<M,T>, TrackedDelegate.ObservableValueDelegate<M,T>, TrackedDelegate.ObserverDelegate<M,T>, TrackedDelegate.SubjectDelegate<M,T>, TrackedDelegate.WritableValueDelegate<M,T>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObservableDelegate(kotlin.reflect.KClass<M> klass, kotlin.jvm.functions.Function1<? super M,? extends rx.Observable<T>> observableProperty)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `kotlin.jvm.functions.Function1<M,rx.Observable>` | `getObservableProperty()`
    `rx.Observable<T>` | `getValue(java.lang.Object thisRef, kotlin.reflect.KProperty<?> property)`

    - ### Methods inherited from class net.corda.client.model.TrackedDelegate

      `getKlass`

- - ### Constructor Detail

    - #### ObservableDelegate

          public ObservableDelegate(kotlin.reflect.KClass<M> klass,
                                    kotlin.jvm.functions.Function1<? super M,? extends rx.Observable<T>> observableProperty)

  - ### Method Detail

    - #### getValue

          public rx.Observable<T> getValue(java.lang.Object thisRef,
                                           kotlin.reflect.KProperty<?> property)

    - #### getObservableProperty

          public kotlin.jvm.functions.Function1<M,rx.Observable> getObservableProperty()